Probleme mit Plugin Manager - Shopware Version 4.1.2

Hallo liebe Community, ich bräuchte mal eure Hilfe. Ich habe heute die Shopware (Version 4.1.2) bei strato installiert. Da der IonCube Installer dort standarmäßig nicht vorinstalliert ist, habe ich diesen ebenfalls installiert, jedoch nur die 5.2. Version (eine aktuellere Version des IonCube Loaders bekomme ich bei Strato nicht installiert). Wenn ich in die Systeminfo von Shopware gehe wird mir der IonCube Loader auch angezeigt. Starte ich jedoch den Plugin-Manager erhalte ich folgende Fehlermeldung: You’re trying to decode an invalid JSON String: Fatal error: Uncaught exception ‘Zend_Json_Exception’ with message ‘Decoding failed: Syntax error’ in /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Zend/Json.php:93 Stack trace: #0 /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Enlight/Controller/Plugins/JsonRequest/Bootstrap.php(105): Zend_Json::decode(’[{“property”:…’) #1 [internal function]: Enlight_Controller_Plugins_JsonRequest_Bootstrap->onPreDispatch(Object(Enlight_Event_EventArgs)) #2 /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Enlight/Event/Handler/Default.php(91): call_user_func(Array, Object(Enlight_Event_EventArgs)) #3 /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Enlight/Event/EventManager.php(165): Enlight_Event_Handler_Default->execute(Object(Enlight_Event_EventArgs)) #4 /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Enlight/Controller/Action.php(128): Enlight_Event_EventManager->notify(‘Enlight_Control…’, Array) #5 /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Enlight in /mnt/weba/b0/91/53726491/htdocs/bioladen-365/engine/Library/Zend/Json.php on line 93 Wenn ich nun die Fehlermeldung wegklicke, ist mein Plugin Mangaer “leer”, d.h. es werden keine Erweiterungen weder die Shopware- noch die Community-Erweiterungen angezeigt. Was muss ich machen um die Fehler zu beheben? Vielen Dank für eure Hilfe.

Hallo, falls es Probleme mit dem IonCube-Loader gibt - z.B. nicht installiert - erhält man als Ergebnis einen leeren Plugin-Manager. Ich würde als erstes an dieser Stelle suchen. Wenn Shopware 4.1.2 ohne den IonCube-Loader funktioniert, ist die Fehlerquelle ja offensichtlich. Mit Strato und Shopware scheint es auch öfters Probleme zu geben - mal nach Strato im Forum suchen . Viel Erfolg HTH (info@mycetome.de)

Danke für den Hinweis. Obwohl Shopware mir anzeigt, das IonCube installiert ist, scheint es an IonCube zu liegen. Habe gerade nochmal ein wenig rumprobiert und wenn ich IonCube deinstalliere, läuft der Plugin-Manger wieder. Dafür kann ich dann keine Erweiterungen installieren. Hat schonmal jemand ein ähnliches Problem mit IonCube gehabt und weiß wie ich den IonCube Loader installieren muss?

Ich habe ein sehr ähnliches Problem. Habe immer Plug Ins down-geloaded, ohne Probleme. Seit ich den Lizenz Manager versucht habe downzuloaden, bleibt der Plug in Manager leer und ich bekomme auch einen Fehlermeldung die zeigt, dass es an Ion Cube liegt. Habe leider auch keine Ahnung wie man den Ion Cube Loader installieren kann. Für mich ist ja total unlogisch warum das von heute auf morgen nicht funktioniert, obwohl ich schon mehrere Plug Ins ohne Probleme downgeloded und installiert habe. Ist das ein 4.1.2 Problem?

Hallo ivas, ob ohne IonCube-Loader ein Fehler auftritt, hängt von dem Plugin-Typ ab. Immer wenn es “verschlüsselt” ist, funktioniet ohne IonCube gar nichts. Daher ist es beim Lizenzmanager aufgetreten. Wie IonCube zu installieren ist, hängt leider sehr von den Hostingbedingungen ab. Eventuell muss mann auch noch die php.ini modifizieren. Im Zweifel empfehle ich einen anderen Hoster zu testen. Das Systemvoraussetzungstool ist leider nicht immer zuverlässig, das liegt aber ebenfalls an den Hostingbedingungen und nicht an dem Tool selbst. Kosten für einen kleineren/mittleren Shop sollten bei ~10 Euro/Monat liegen. Viele Grüße HTH (info@mycetome.de)

1 Like

PROBLEM GELÖST - DANKE AN ALLE

[quote=“ivas”]PROBLEM GELÖST - DANKE AN ALLE[/quote] Kannst du uns verraten wie das Prtoblem gelöst wurde?

Hallo, das würde mich auch sehr interessieren! Ich habe genau dasselbe Problem. Allerdings schon unter 4.0.8. Bei mir ist auch der IonCube-Loader installiert und ich weiss leider nicht, was man jetzt tun kann, bzw. wie ich den korrekt konfiguriere. Danke und viele Grüße Thorsten

Hallo, ich habe das Problem jetzt mit Lesen diverser ähnlicher Themen hier im Forum und durch Telefonieren mit meinem Hosting Support gelöst: Es waren zwei Dinge: zum einen wohl ein nicht mehr ganz korrekter Pfad auf den Ioncube-Loader und als zweites der Parameter magic_quotes in der php.ini, der auf “on” stand. Als ich den auf “off” gesetzt habe, ging alles wieder! Viele Grüße Thorsten